<?php

/**
 * Ldt die bentigen Styles im Backend
 *
 * @param $params Parameter des EP 'PAGE_HEADER'
 */
function mp_tags_add_header_files($params)
{
  $params['subject'] .= "\n".'  <link rel="stylesheet" type="text/css" href="../files/addons/mp_tags/backend.css" />';

  return $params['subject'];
}

/**
 * Fgt dem Content-Men den "Tags"-Link hinzu
 *
 * @param $params Parameter des EP 'PAGE_CONTENT_MENU' (article_id, clang, function, mode, slice_id)
 */
function mp_tags_add_content_menu_link($params)
{
  $link_label = 'Tags';
  $link_position = count($params['subject']) - 1;
  $link_class = '';

  if (rex_request('mode') == 'tags') {
    // reset global $mode to current mode
    $GLOBALS['mode'] = 'tags';
    // remove .rex-active from other menu items
    $link_class = ' class="rex-active"';
    $params['subject'] = str_replace($link_class, '', $params['subject']);
    rex_register_extension('OUTPUT_FILTER', 'mp_tags_add_content_page');
  }
  // build new menu element
  $link = '<a href="index.php?page=content&amp;article_id='. $params['article_id'] .'&amp;mode=tags&amp;clang='. $params['clang'] .'"'. $link_class . rex_tabindex() .'>'. $link_label .'</a>';

  // insert mode element into navigation
  array_splice($params['subject'], $link_position, 0, $link);

  return $params['subject'];
}

/**
 * Gibt die "Tags"-Page im Content-Bereich aus
 *
 * @param $params Parameter des EP 'OUTPUT_FILTER'
 */
function mp_tags_add_content_page($params)
{
  global $REX;
  $insert_after = '<div class="rex-content-body-2">';
  ob_start();
  include($REX['INCLUDE_PATH'].'/addons/mp_tags/pages/article.inc.php');
  $content = ob_get_clean();
  $params['subject'] = str_replace($insert_after, $insert_after.$content, $params['subject']); 
  return $params['subject'];
}

?>