<?php
/**
 * MP Tags Addon 
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.3
 * @version $Id: settings.inc.php,v 1.0 2011/02/01 14:38:00 elektra$
 */

$basedir = dirname(__FILE__);

$func = rex_request('func', 'string');

$add_tag_on_the_fly = rex_request('add_tag_on_the_fly', 'integer', $REX['ADDON'][$page]['add_tag_on_the_fly']);
$article_id_for_list = rex_request('article_id_for_list', 'rex-article-id', $REX['ADDON'][$page]['article_id_for_list']);

//------------------------------> Addon Settings aktualisieren
if ($func == 'update')
{

  $file = $REX['INCLUDE_PATH'].'/addons/'.$page.'/config.inc.php';

  // Ersetzungen
  $content = "\$REX['ADDON'][\$mypage]['add_tag_on_the_fly'] = ".$add_tag_on_the_fly.";\n";
  $content .= "\$REX['ADDON'][\$mypage]['article_id_for_list'] = ".$article_id_for_list.";\n";

  if (rex_replace_dynamic_contents($file, $content) === false)
  {
    echo rex_error($I18N->msg('tags_setup_error', $file));
  }
  else
  {
    echo rex_info($I18N->msg('tags_setup_done'));
  }

}

?>

<div class="rex-addon-output">
  <h2 class="rex-hl2"><?php echo $I18N->msg('tags_edit_settings'); ?></h2>
  <div class="rex-area">
    <div class="rex-form rex-form-addon-editmode">
      <form action="index.php" method="post">
        <fieldset class="rex-form-col-1">
          <div class="rex-form-wrapper">
            <input type="hidden" name="page" value="<?php echo $page; ?>" />
            <input type="hidden" name="subpage" value="settings" />
            <input type="hidden" name="func" value="update" />
            <div class="rex-form-row rex-form-element-v2">
              <p class="rex-form-select">
                <label for="add_tag_on_the_fly"><?php echo $I18N->msg('tags_label_add_tag_on_the_fly'); ?></label>
                <?php

$select_add_tag_in_content = new rex_select();
$select_add_tag_in_content->setName('add_tag_on_the_fly');
$select_add_tag_in_content->setId('add_tag_on_the_fly');
$select_add_tag_in_content->setSize(1);
$select_add_tag_in_content->addOption($I18N->msg('no'), '0');
$select_add_tag_in_content->addOption($I18N->msg('yes'), '1');
$select_add_tag_in_content->setSelected($add_tag_on_the_fly);
$select_add_tag_in_content->show();

                ?>
              </p>
            </div>
            <div class="rex-form-row rex-form-element-v2">
              <p class="rex-form-text">
                <label for="article_id_for_list"><?php echo $I18N->msg('tags_label_article_id_for_list'); ?></label>
                <input class="rex-form-text" type="text" id="article_id_for_list" name="article_id_for_list" value="<?php echo $article_id_for_list; ?>">
              </p>
            </div>
            <div class="rex-form-row rex-form-element-v2">
              <p class="rex-form-submit">
                <input class="rex-form-submit" type="submit" value="<?php echo $I18N->msg('update'); ?>" title="<?php echo $I18N->msg('update'); ?>" />
              </p>
            </div>
          </div>
        </fieldset>
      </form>
    </div>
  </div>
</div>